HTTP API

ECS Component

GET/api/v1/ecs/{index}/entities/{entity_id}/components/{component_type}
GET
/api/v1/ecs/{index}/entities/{entity_id}/components/{component_type}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string
entity_id*string
component_type*string

Response Body

application/json

curl -X GET "https://example.com/api/v1/ecs/string/entities/string/components/string"
null
DELETE/api/v1/ecs/{index}/entities/{entity_id}/components/{component_type}
DELETE
/api/v1/ecs/{index}/entities/{entity_id}/components/{component_type}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string
entity_id*string
component_type*string

Response Body

application/json

curl -X DELETE "https://example.com/api/v1/ecs/string/entities/string/components/string"
{  "archetype_hash": "string",  "component_versions": {    "property1": 0,    "property2": 0  },  "components": {    "property1": null,    "property2": null  },  "created_at": "string",  "entity_id": "string",  "index": "string",  "parent": "string",  "tags": [    "string"  ],  "updated_at": "string",  "version": 0}
PUT/api/v1/ecs/{index}/entities/{entity_id}/components/{component_type}
PUT
/api/v1/ecs/{index}/entities/{entity_id}/components/{component_type}

Authorization

bearer_token
AuthorizationBearer <token>

In: header

Path Parameters

index*string
entity_id*string
component_type*string

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

body*unknown

Response Body

application/json

curl -X PUT "https://example.com/api/v1/ecs/string/entities/string/components/string"
{  "archetype_hash": "string",  "component_versions": {    "property1": 0,    "property2": 0  },  "components": {    "property1": null,    "property2": null  },  "created_at": "string",  "entity_id": "string",  "index": "string",  "parent": "string",  "tags": [    "string"  ],  "updated_at": "string",  "version": 0}

On this page